Retrieve a Life Stage for a Firm Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/life-stage/{lifeStage_uuid}

Path parameters

  • lifeStage_uuid string Required

    The uuid of the life stage.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • name string
    • position string
    • start_age string
    • end_age string
    • sections object
      Hide sections attributes Show sections attributes object
      • uuid string
      • name string
      • position string
      • fields object
        Hide fields attributes Show fields attributes object
        • uuid

          uuid of the Life Stage Field.

        • name

          The name of the Life Stage Field.

        • section

          The parent Life Stage Section of Field. Example: "Housekeeping Expenses"

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

      • created_at string
      • updated_at string
    • created_at string
    • updated_at string
GET /api/v1/life-stage/{lifeStage_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/life-stage/dcf0-484e-a0c5-08590fe89a84-f6aa1670' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "\"c538220f-6bcd-4112-834b-632a0e82fe33",
  "name": "Current Lifestyle",
  "position": "1",
  "start_age": "21",
  "end_age": "28",
  "sections": {
    "uuid": "be37c8cd-d751-4592-bbe9-88d1b8db0e6a",
    "name": "House Keeping",
    "position": "1",
    "fields": {
      "uuid": "33a7cd36-281f-4733-9b65-4d9f0f49dd00",
      "name": "Electricity",
      "section": "Housekeeping Expenses",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00"
    },
    "created_at": "2023-06-16T15:25:06+01:00",
    "updated_at": "2023-06-16T15:25:06+01:00"
  },
  "created_at": "2023-06-16T15:25:06+01:00",
  "updated_at": "2023-06-16T15:25:06+01:00"
}